Subject: Re: bug#64615: Build failure on head version (2df086)

From: Stefan Kangas <[email-masked]>
Date: Tue, 5 Sep 2023 08:50:05 -0700

Eli Zaretskii <[email-masked]> writes:

>> From: "Eric S. Raymond" <[email-masked]>
>> Date: Fri, 14 Jul 2023 11:08:01 -0400 (EDT)
>>
>> Doing ./configure && make under Ubuntu Linux, last few lines are
>>
>>  load("progmodes/prog-mode")
>>   load("loadup.el")
>> Eager macro-expansion failure: (void-function define-short-documentation-group)
>> make[2]: *** [Makefile:924: bootstrap-emacs.pdmp] Error 255
>> make[2]: Leaving directory '/mnt/ssd/home/esr/src/emacs/src'
>>
>> followed by make failure boilerplate.
>
> I cannot reproduce this.  I've just checked out a fresh clone and
> built it, and it passed the loadup step with no problems.
>
> Are you building from a clean tree?  Did you indeed use "./configure"
> with no options (I did), and if not, please show the options you used.
>
> P.S. I'm not on Ubuntu, if it matters, I'm on Trisquel.

No more updates within 2 months, so I'm closing this bug.

Eric, please report back if you are still seeing this and we can reopen
the bug.  Thanks.